# What is Kdbg?

[Kdbg](https://www.kdbg.org/) is a nice native frontend to the GDB debugger.
However, kdbg is not available in Ubuntu 20.04 anymore. Therefore, to install it on this distribution one needs to compile it from source.
This is what we describe here.

# Compiling and installing Kdbg from source

The instructions given here apply to any Ubuntu 18.04 or 20.04 systems (and their derivatives such as Xubuntu, etc.).

Install the required development packages:
```
apt-get install git build-essential cmake extra-cmake-modules qtbase5-dev libkf5style-dev gettext libkf5xmlgui-dev
```

Clone the repository:
```
git clone -b maint https://github.com/j6t/kdbg.git kdbg.git && cd kdbg.git
```

Specify the base directory where Kdbg will be installed: replace `install_dir` with a base directory of your choice. If `-DCMAKE_INSTALL_PREFIX` is omitted, it will be installed system-wide (in `/usr/local/`) which I personally don't recommend as it will pollute the system and will be tricky to cleanly remove later.
```
cmake -DCMAKE_INSTALL_PREFIX=install_dir .
```

Install Kdbg. If you want to do a system-wide install, the command below must be run as `root` (since non root users can't write in `/usr/local`).
```
make install
```

To run `kdbg`, simply type `kdbg`.

If you specified an install prefix during the cmake step above (with `-DCMAKE_INSTALL_PREFIX`), then you'll need to source `prefix.sh` before running `kdbg` otherwise it won't work properly:

```
cp prefix.sh install_dir/kdbg
source install_dir/kdbg
install_dir/kdg
```

